Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.workflow.instance.node
Class CompositeNodeInstance.CompositeNodeEndInstance

    java.lang.Object
      org.jbpm.workflow.instance.impl.NodeInstanceImpl
          org.jbpm.workflow.instance.node.CompositeNodeInstance.CompositeNodeEndInstance

All Implemented Interfaces:
  Serializable, NodeInstance

Enclosing class:
  CompositeNodeInstance

    public class CompositeNodeInstance.CompositeNodeEndInstance

extends NodeInstanceImpl

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.jbpm.workflow.instance.impl.NodeInstanceImpl
`NodeInstanceImpl.NodeInstanceTrigger`

Constructor Summary
`CompositeNodeInstance.CompositeNodeEndInstance()`

Method Summary
`CompositeNode.CompositeNodeEnd` | `getCompositeNodeEnd()`
`void` | `internalTrigger(NodeInstance from, String type)`
`void` | `triggerCompleted()`

Methods inherited from class org.jbpm.workflow.instance.impl.NodeInstanceImpl
`cancel, executeAction, followConnection, getId, getMetaData, getNode, getNodeId, getNodeInstanceContainer, getNodeName, getProcessInstance, getUniqueId, getVariable, isInversionOfControl, resolveContext, resolveContextInstance, retrigger, setId, setMetaData, setNodeId, setNodeInstanceContainer, setProcessInstance, setVariable, trigger, triggerCompleted, triggerConnection, triggerNode, triggerNodeInstance`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CompositeNodeInstance.CompositeNodeEndInstance

    public CompositeNodeInstance.CompositeNodeEndInstance()

Method Detail

### getCompositeNodeEnd

    public CompositeNode.CompositeNodeEnd getCompositeNodeEnd()

### internalTrigger

    public void internalTrigger(NodeInstance from,
                                String type)

  Specified by:
    `internalTrigger` in class `NodeInstanceImpl`

### triggerCompleted

    public void triggerCompleted()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.